package seminar13.inheritance;

// Vypíše Mac protože při dědění se nedědí private metody a atributy. Musel by tam být protected nebo public.
// Když změníme private na public tak se vypíše PC.
// V printname se zavolá getName() což je jako this.getName(). Při private se zavolá metoda dané třídy.
// Když je metoda public nebo protected tak se překryje metodou z PC.

public class PC extends Mac {
    private String getName() { return "PC"; }
 
    static void f() {
        new PC().printName();
    }
    
    public static void main(String[] args) {
        f();
    }
}

class Mac {
    private String getName() { return "Mac"; }
    public void printName() {
        System.out.println( getName());
    }
}
