package seminar13.solid6;

// Porušen Interface segregation principle - třídy  by neměly být nuceny používat rozhraní, která nepoužívají

/**
 * Rozraní porušující princip
 */
public interface Lifecycle {
    public void start();
    public void stop();
}

interface Startable {
    public void start();
}

interface Stoppable{
    public void stop();
}